## ros-foxy-self-test 3.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(self_test)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT DEFINED ENV{ROS_DISTRO})
  message(FATAL_ERROR "ROS_DISTRO is not defined.")
endif()

message(STATUS "Build for $ENV{ROS_DISTRO}")

if("$ENV{ROS_DISTRO}" STREQUAL "foxy")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_FUTURE")
elseif("$ENV{ROS_DISTRO}" STREQUAL "galactic")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNO_FUTURE")

  # elseif("$ENV{ROS_DISTRO}" STREQUAL "humble")
  # -- define something here if needed
  # elseif("$ENV{ROS_DISTRO}" STREQUAL "rolling")
  # -- define something here if needed
endif()

find_package(ament_cmake REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(rclcpp REQUIRED)

add_executable(run_selftest src/run_selftest.cpp)
target_include_directories(run_selftest
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(
  run_selftest
  "builtin_interfaces"
  "diagnostic_msgs"
  "diagnostic_updater"
  "rclcpp"
  "rcutils"
)

add_executable(selftest_example src/selftest_example.cpp)
target_include_directories(selftest_example
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(
  selftest_example
  "builtin_interfaces"
  "diagnostic_msgs"
  "diagnostic_updater"
  "rclcpp"
  "rcutils"
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  add_subdirectory(test)
endif()

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS run_selftest selftest_example
  DESTINATION lib/${PROJECT_NAME}
)

ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-foxy-self-test (3.1.2-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Mar 2023 23:00:00 -0000

ros-foxy-self-test (3.1.1-1focal) focal; urgency=high

  * Secretly supporting galactic (#295 <https://github.com/ros/diagnostics/issues/295>)
  * exporting includes (#292 <https://github.com/ros/diagnostics/issues/292>)
  * Maintainer update
  * Contributors: Austin, Christian Henkel, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 15 Mar 2023 23:00:00 -0000

ros-foxy-self-test (3.1.0-1focal) focal; urgency=high

  * Merge of foxy and humble history into rolling for future maintenance from one branch only.
  * Adding READMEs to the repo (#270 <https://github.com/ros/diagnostics/issues/270>)
  * License fixes (#263 <https://github.com/ros/diagnostics/issues/263>)
  * Fix/cleanup ros1 (#257 <https://github.com/ros/diagnostics/issues/257>)
  * Contributors: Austin, Christian Henkel, Ralph Lange

 -- Austin Hendrix <namniart@gmail.com>  Wed, 25 Jan 2023 23:00:00 -0000

ros-foxy-self-test (3.0.0-1focal) focal; urgency=high

  * Return the actual future from async_send_request (#209 <https://github.com/ros/diagnostics/issues/209>)
  * Contributors: Chris Lalancette

 -- Austin Hendrix <namniart@gmail.com>  Thu, 09 Jun 2022 22:00:00 -0000

ros-foxy-self-test (2.1.3-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-foxy-self-test (2.1.2-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 02 Mar 2021 23:00:00 -0000

ros-foxy-self-test (2.1.1-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-foxy-self-test (2.1.0-1focal) focal; urgency=high

  * Update to latest ros2 rolling. (#177 <https://github.com/ros/diagnostics/issues/177>)
  * Contributors: Karsten Knese

 -- Austin Hendrix <namniart@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-foxy-self-test (2.0.9-1focal) focal; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 11 Nov 2022 23:00:00 -0000

ros-foxy-self-test (2.0.8-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 02 Aug 2021 22:00:00 -0000

ros-foxy-self-test (2.0.7-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 03 Mar 2021 23:00:00 -0000

ros-foxy-self-test (2.0.6-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 27 Jan 2021 23:00:00 -0000

ros-foxy-self-test (2.0.5-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 05 Jan 2021 23:00:00 -0000

ros-foxy-self-test (2.0.4-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 04 Aug 2020 22:00:00 -0000

ros-foxy-self-test (2.0.3-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 08 Jul 2020 22:00:00 -0000

ros-foxy-self-test (2.0.2-1focal) focal; urgency=high

  * 2.0.2
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * generate changelog
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * fix linters (#134 <https://github.com/ros/diagnostics/issues/134>)
    Signed-off-by: Karsten Knese <mailto:karsten.knese@us.bosch.com>
  * Contributors: Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-foxy-self-test (2.0.1-1focal) focal; urgency=high

  * fix linters (#134 <https://github.com/ros/diagnostics/issues/134>)
  * Contributors: Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 02 Jun 2020 22:00:00 -0000

ros-foxy-self-test (2.0.0-1focal) focal; urgency=high

  * Migrate self_test to ros2 (#104 <https://github.com/ros/diagnostics/issues/104>)
  * Make Karsten Knese maintainer for ros2 branches #115 <https://github.com/ros/diagnostics/issues/115>
  * Contributors: Austin, Karsten Knese

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 02 Sep 2019 22:00:00 -0000

ros-foxy-self-test (1.9.3-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 May 2018 22:00:00 -0000

ros-foxy-self-test (1.9.2-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-foxy-self-test (1.9.1-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Fri, 14 Jul 2017 22:00:00 -0000

ros-foxy-self-test (1.9.0-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 24 Apr 2017 22:00:00 -0000

ros-foxy-self-test (1.8.10-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 13 Jun 2016 22:00:00 -0000

ros-foxy-self-test (1.8.9-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 01 Mar 2016 23:00:00 -0000

ros-foxy-self-test (1.8.8-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Wed, 05 Aug 2015 22:00:00 -0000

ros-foxy-self-test (1.8.7-1focal) focal; urgency=high

  * Upgrade to gtest 1.7.0
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 08 Jan 2015 23:00:00 -0000

ros-foxy-self-test (1.8.6-1focal) focal; urgency=high



 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-foxy-self-test (1.8.5-1focal) focal; urgency=high

  * Include gtest source directly
  * Contributors: trainman419

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Mon, 28 Jul 2014 22:00:00 -0000

ros-foxy-self-test (1.8.4-1focal) focal; urgency=high

  * Remove stray architechture_independent flags
    This flag should be used for package which do not contain
    architecture-specific files. Compiled binaries are such a file, and
    these packages contain them.
  * Contributors: Scott K Logan

 -- Brice Rebsamen <brice.rebsamen@gmail.com>  Thu, 24 Jul 2014 18:51:00 -0000

ros-foxy-self-test (1.8.3-1focal) focal; urgency=high

  * Install selftest_rostest
  * Contributors: Austin Hendrix



=== debian/control ===
Source: ros-foxy-self-test
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-rclcpp, ros-foxy-ros-environment, ros-foxy-ros-workspace
Homepage: http://www.ros.org/wiki/self_test
Standards-Version: 3.9.2

Package: ros-foxy-self-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-diagnostic-msgs, ros-foxy-diagnostic-updater, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: self_test

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-self-test//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
